Posted over 4 years ago. Visible to the public. Linked content.

Using rubyzip dependent gem like 'axlsx' leads to LoadError (cannot load such file -- zip/zip)

The 'axlsx' gem (https://github.com/randym/axlsx) depends on rubyzip. After the bundle command the error require': cannot load such file -- zip/zip (LoadError) appeared by starting the rails server.

Possible solution: Add gem 'zip-zip' to your Gemfile and it works.

Owner of this card:

Avatar
fl9
Last edit:
over 4 years ago
by fl9
Tags:
axlsx, ruby, xlsx
Posted by fl9 to NinjaConcept KB
This website uses cookies to improve usability and analyze traffic.
Accept or learn more